package org.bench4q.share.models.master;

import java.util.Date;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement(name = "testplanDB")
public class TestPlanDBModel {
	private int id;
	private String name;
	private Date createDateTime;
	private UserModel userModel;
	private String testPlanRunId;
	private String currentStatus;
	private int failTimes;
	private boolean reportCreated;

	@XmlElement
	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	@XmlElement
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	@XmlElement
	public Date getCreateDateTime() {
		return createDateTime;
	}

	public void setCreateDateTime(Date createDateTime) {
		this.createDateTime = createDateTime;
	}

	@XmlElement
	public UserModel getUserModel() {
		return userModel;
	}

	public void setUserModel(UserModel userModel) {
		this.userModel = userModel;
	}

	@XmlElement
	public String getTestPlanRunId() {
		return testPlanRunId;
	}

	public void setTestPlanRunId(String testPlanRunId) {
		this.testPlanRunId = testPlanRunId;
	}

	@XmlElement
	public String getCurrentStatus() {
		return currentStatus;
	}

	public void setCurrentStatus(String currentStatus) {
		this.currentStatus = currentStatus;
	}

	@XmlElement
	public int getFailTimes() {
		return failTimes;
	}

	public void setFailTimes(int failTimes) {
		this.failTimes = failTimes;
	}

	@XmlElement
	public boolean isReportCreated() {
		return reportCreated;
	}

	public void setReportCreated(boolean reportCreated) {
		this.reportCreated = reportCreated;
	}

}
